html {
    scroll-behavior: smooth;
}

#header {
    width: 100%;
    height: 45vw;
    background-color: antiquewhite;
    opacity: 0.9;
    z-index: -1;
    position: relative;
    /* margin-top: 50px; */
    top: 0;
}

#header img {
    width: inherit;
    height: inherit;
    opacity: 0.9;
    filter: blur(5px);
}

#header h1 {
    background-color: rgba(0, 0, 0, 0.918);
    position: absolute;
    top: 10vw;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    padding: 5px 20px;
    font-size: 32px;
}

.page-title {
    top: 300px;
}

#body {
    width: 90%;
    height: auto;
    min-height: 500px;
    position: relative;
    margin: -20vw auto 0;
    z-index: 2;
    background-color: white;
    padding: 0 20px;
    box-sizing: border-box;
}

#body img {
    max-width: 100%;
    height : auto;
}

iframe{
    max-width: 100%;
}

#body::before {
    display: table;
    content: ' ';
}

#map-box {
    margin-top: -20px;
    margin-right: 100px;

}

.map {
    width: auto;
    background: white;
    font-size: 16px;
    display: inline-block;
    padding: 5px 20px;
    box-sizing: border-box;
}

.map ul li {
    display: inline-block;
    list-style: none;
}

.map ul li::after {
    content: ' / ';
}

.map ul li:last-child::after {
    content: '';
}

.map ul li a {
    color: blue;
}
.article-date {
    display: block;
    margin: 10px 10px 0 0;
    color: gray;
}

.Summary {
    margin-top: 30px;
}

.article-footer {
    width: 100%;
    height: 30px;
    margin-top: 100px;
    line-height: 40px;
    background: white;
    text-align: center;
    position: -webkit-sticky;
    position: sticky;
    bottom: 0px;
    /* border-top: 1px solid black; */
    padding: 5px 0;
    display: flex;
    gap: 20px;
    justify-content: center;
    box-shadow: 0px 2px 6px #949494;
}

.article-footer-item {
    width: 70px;
    height: 80%;
    vertical-align: middle;
}

.article-footer-item img {
    height: 100% !important;
}

#likeImg {
    height: 100%;
}

#likeImg path {
    fill: white;
    stroke: #000;
    stroke-miterlimit: 10;
    stroke-width: 4px;
    transition: stroke .3s ease-in;
}

#likeImg path:hover {
    stroke: tomato;
    transition: stroke .3s ease-out;
}

.liked path {
    fill: tomato !important;
    transition: fill .3s ease-out;
}

.share-link {
    width: auto;
    min-width: 200px;
    height: 100%;
    box-sizing: border-box;
    background-color: white;
}

.share-link input {
    float: right;
    width: 200px;
    height: 100%;
    box-sizing: border-box;
    direction: ltr;
}

.share-link button {
    float: right;
    width: 50 px;
    height: 100%;
    box-sizing: border-box;
    background-color: white;
    border: 0.1px solid black;
    cursor: pointer;
    border-right: none;
}

#copy-icon {
    width: 30px;
    vertical-align: middle;
}


.box-container{
    width: 95%;
    margin: auto;
    filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.1));
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 10px;
}

.box{
    width: 350px;
    height: 450px;
    background-color: white;
    z-index: 1;
    position: relative;

}

.box-image-container{
    width: 100%;
    height: 200px;
    background-color: aliceblue;
}

.box-image{
    height: 100%;
    min-width: 100%;
}

.box-content{
    width: 100%;
    height: calc(100% - 200px);
    box-sizing: border-box;
    padding: 0 10px;
}

.box-description{
    font-size: 14px;
}

.box-footer{
    width: 100%;
    height: 50px;
    position: absolute;
    bottom: 0;
    line-height: 50px;
    display: flex;
    justify-content: space-between;
}

.course-price{
    box-sizing: border-box;
    padding: 0 10px;
    background-color: white;
    display: inline-block;
    width: 50%;
    text-align: center;
    font-size: 20px;
}

.course-real-price{
    position: absolute;
    top: -25px;
    /* font-size: 14px;
    opacity: 0.5; */
}

.real-price{
    font-size: 16px;
    font-weight: lighter;
    text-decoration: line-through;
    opacity: 0.6;;
}

.course-link{
    box-sizing: border-box;
    padding: 0 10px;
    display: inline-block;
    width: 50%;
}

.section-link{
    display: block;
    width: 350px;
    height: 60px;
    background-color: white;
    margin: 50px auto;
    line-height: 60px;
    text-align: center;
    font-size: 20px;
    background: linear-gradient(to right, #249DC2 50%, white 50%) right;
    background-size: 200% 100%;
    color: #249DC2;
    font-weight: bold;
    position: relative;
    transition: all .2s ease-out;
}

.link-container{
    filter: drop-shadow(0px 0px 10px rgba(0,0,0,0.4));
}

.article-read-link{

    width: 45%;

}

.article-category{
    background-color: #92CFE2;
    color: white;
    width: 45%;
    text-align: center
}


#comment {
    width: 100%;
    height: auto;
    border: 1px solid black;
    margin-top: 100px;
    margin-bottom: 50px;
}

#comment h4 {
    margin-right: 20px;
}

.register-comment {
    border-top: 1px solid black;
    width: 100%;
    height: auto;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: flex-end;
    align-content: space-around;
}

.register-comment textarea {
    width: 100%;
    height: 200px;
    font-size: 18px;
    font-family: iransans;
    padding: 5px 5px;
}

.comment-input {
    width: 100%;
    height: 40px;
    font-size: 18px;
    box-sizing: border-box;
}

.input-box {
    width: 400px;
    height: auto;
    display: inline-block;
    margin-top: 10px;
}

#btn-box {
    width: 150px;
}

.input-box label {
    display: block;
}

#comment-btn {
    width: 150px;
    height: 40px;
    background-color: #59c0df;
    color: white;
    font-size: 18px;
    font-family: iransans;
    cursor: pointer;
    border: 1px solid black;
    transition: background-color .2s ease-in;
}

#comment-btn:hover {
    background-color: #59DFCD;
    transition: background-color .3s ease-out;
}

#comments {
    width: 100%;
    height: auto;
    border-top: 1px solid black;
    box-sizing: border-box;
    padding: 10px;
    margin-top: 50px;
}

.comment-item {
    position: relative;
    border-right: 1px solid #707070ad;
    padding-right: 10px;
    /* width: 100%; */
    width: calc(100% - 30px);
    height: auto;
    box-sizing: border-box;
    margin-right: 20px;
    margin-bottom: 20px;
    padding-bottom: 0.1px;
}

#comments>.comment-item {
    margin-bottom: 30px;
}

.hoverable {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 0;
}

.hoverable:hover~.replyLink,
.comment-form:hover~.replyLink,
.comment-element:hover~.replyLink {
    opacity: 1;
    transition: opacity .3s ease-in;
}

.comment-element {
    z-index: 2;
    position: relative;
}

.comment-item>.comment-item {
    background-color: #00000007;
}

.comment-item>.comment-item>.comment-item {
    background-color: white;
}

.comment-item>.comment-item>.comment-item>.comment-item {
    background-color: #00000007;
}

.replyLink {
    background-color: #27517F;
    color: white;
    font-weight: bold;
    position: absolute;
    top: 0;
    left: 10px;
    padding: 5px 10px;
    box-sizing: border-box;
    border: 2px solid #27517F;
    transition-property: opacity, color, background-color;
    transition-duration: .3s;
    transition-timing-function: ease-out;
    font-size: 13px;
    opacity: 0;
    z-index: 2;
}

.replyLink:hover {
    opacity: 1;
    background-color: white;
    color: #27517F;
    transition: all .2s ease-in;
}

.register-reply {
    border-top: none;
}

.comment-form {
    width: 100%;
    height: auto;
    display: none;
    z-index: 1;
    position: relative;
}

.comment-name {
    font-size: 18px;
    font-weight: bold;
}

.comment-body {
    font-size: 15px;
    padding-bottom: 10px;
}

.categories {
    width: 100%;
    box-sizing: border-box;
    padding: 0 10px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    align-content: space-around;
    margin-top: 50px;
}

@media screen and (max-width:950px) {
    .article-box {
        margin: 10px 0;
    }
}

@media screen and (max-width:636px) {
    #map-box {
        margin-right: 0;
        align-self: center;
        text-align: center;
        width: 100%;
    }
    .map {
        width: 100%;
        min-width: none;
    }
    #body {
        width: 100%;
        margin-top: 0;
    }
    .related h3 {
        align-self: center;
        text-align: center;
    }

    #header h1{
        font-size: 6vw;
        top: 15vw;
    }
}

@media screen and (max-width:550px) {
    .register-comment {
        justify-content: center;
    }
    .replyLink {
        opacity: 1;
        font-size: 10px;
    }

    .article-date{
        text-align: center;
    }
    
    iframe{
        
    height : auto !important;
    }
}

@media screen and (max-width:740px) {
    .share-link {
        display: none;
    }
}

@media screen and (max-width:378px) {
    .article-footer-item {
        margin: 0 1%;
    }
}
